Summary: Trustix GPG sign keys
Name: tsl-gpgkeys
Version: 3.0
Release: 3tr
License: GPL
Group: Trustix Official
Source1: trustix-gpgkey.pub.gpg
Source2: trustix-gpgkey-testing.pub.gpg
Source3: trustix-gpgkey-contrib.pub.gpg
Source4: trustix-devel.pub.gpg
PreReq: swup
Obsoletes: tsl-gpgkeys-horizon
Obsoletes: tsl-gpgkeys-sunchild
BuildRoot: %{_tmppath}/%{name}-root

%description
This package contains the GPG keys used to sign packages and rdfs. It is used
by swup to verify that the packages and rdfs found on the official Trustix 
sites and mirrors are correct.

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/%{_datadir}/%{name}/

%post
/usr/bin/swup --import-key %{_datadir}/%{name}/trustix-gpgkey.pub.gpg \
	--ignore-lock

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root,0755)
%{_datadir}/%{name}

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Fri Mar 11 2005 Oystein Viggen <oysteivi at trustix dot com> 3.0-1tr
- Prepare for Trustix Secure Linux 3.0

* Tue Mar 16 2004 Chr. Toldnes <christht at trustix dot org> 2.1-3tr
- added --ignore-lock in %pre

* Fri Feb 27 2004 Erlend Midttun <erlendbm at trustix dot org> 2.1-1tr
- Added TSL devel key.

* Fri Jan 23 2004 Chr. Toldnes <christht at trustix dot org> 1.0-2tr
- 3 -> 2.1

* Thu Jan 22 2004 Chr. Toldnes <christht at trustix dot org> 1.0-1tr
- Initial release, this package should go into the base group during install
